Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159907 - Clean install does not set synaptics into xorg.conf entries
Summary: Clean install does not set synaptics into xorg.conf entries
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: synaptics
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-09 00:15 UTC by Jim Cornette
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.14.90-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-22 19:50:26 UTC


Attachments (Terms of Use)
version that was setup on new install (deleted)
2005-06-09 00:18 UTC, Jim Cornette
no flags Details
system-confg-display generated file (deleted)
2005-06-09 00:19 UTC, Jim Cornette
no flags Details

Description Jim Cornette 2005-06-09 00:15:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-2

Description of problem:
When installing an everything install, anaconda does not setup xorg.conf to load correct entries for synaptics to function.
If you rename the file and boot into runlevel 3, running system-config-display sets up the entries correctly. Included after bug submission will be the initial install and the working xorg.conf file.

Version-Release number of selected component (if applicable):
anaconda FC4T3 version

How reproducible:
Didn't try

Steps to Reproduce:
1. Install FC4T3
2. Login to X
3. Notice scroll does not work, tap works
  

Actual Results:  Nothing would scroll when using the scroll bad. Looking at the xorg.conf file showed no synaptics entries.
running system-config-display from a root terminal corrected the problem when the other xorg.conf was renamed.

Expected Results:  The settings for the synaptics touchpad scroll should have worked post install.

Additional info:

system-config-display and the synaptics driver work when drawing off of previous dscussions. It does not work out of the box though.

Comment 1 Jim Cornette 2005-06-09 00:18:04 UTC
Created attachment 115242 [details]
version that was setup on new install

This file was generated by the method described in the file

Comment 2 Jim Cornette 2005-06-09 00:19:18 UTC
Created attachment 115243 [details]
system-confg-display generated file

These settings work with scrolling.

Comment 3 Paul Nasrat 2005-06-09 00:45:25 UTC
cat /proc/bus/input/devices

I put a fix for ALPS Glidepoint post test3.

Comment 4 Jim Cornette 2005-06-11 02:06:48 UTC
The output with  synaptics-0.14.2-1 installed is below.

cat /proc/bus/input/devices
I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
H: Handlers=kbd mouse0 event0
B: EV=120017
B: KEY=40000 4 2000078 3802078 f840d001 b2ffffdf ffefffff ffffffff fffffffe
B: REL=140
B: MSC=10
B: LED=7

I: Bus=0011 Vendor=0002 Product=0007 Version=0000
N: Name="SynPS/2 Synaptics TouchPad"
P: Phys=isa0060/serio1/input0
H: Handlers=mouse1 event1
B: EV=b
B: KEY=6420 0 70000 0 0 0 0 0 0 0 0
B: ABS=11000003


Comment 5 Paul Nasrat 2005-06-13 14:35:04 UTC
Please retry with an install FC4 final I believe that this should be fixed there.

Comment 6 Jim Cornette 2005-11-22 19:50:26 UTC
I have not ran into this problem recently with FC4 and installing from
Development does the right thing with modular X. I am closing the bug.


Note You need to log in before you can comment on or make changes to this bug.